Name:             centos-release-kmods
Version:          1
Release:          2%{?dist}
Summary:          CentOS Kmods SIG repository configs

License:          GPLv2
URL:              https://wiki.centos.org/SpecialInterestGroup/Kmods

Source0:          RPM-GPG-KEY-CentOS-SIG-Kmods
Source1:          CentOS-Kmods.repo
Source2:          CentOS-Kmods-Rebuild.repo

BuildArch:        noarch


%description
Configs for the CentOS Kmods SIG main package repository.


%package          rebuild
Summary:          CentOS Kmods SIG rebuild repo configs
Requires:         centos-release-kmods = %{version}-%{release}


%description      rebuild
Configs for the CentOS Kmods SIG rebuild repository. Packages in this repository
contain rebuilds of kernel modules provided by CentOS.


%prep


%build


%install
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{SOURCE0}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE1} %{SOURCE2}


%clean
%{__rm} -rf %{buildroot}


%files
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Kmods
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Kmods.repo


%files rebuild
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Kmods-Rebuild.repo


%changelog
* Thu Aug 12 2021 Peter Georg <peter.georg@physik.uni-regensburg.de> - 1-2
- Add *-testing repos

* Thu Aug 12 2021 Peter Georg <peter.georg@physik.uni-regensburg.de> - 1-1
- Initial release
